%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           hellanzb
Version:        0.13
Release:        6%{?dist}
Summary:        Hands-free nzb downloader and post processor

Group:          Applications/Internet
License:        BSD
URL:            http://www.hellanzb.com/trac/
Source0:        http://www.hellanzb.com/distfiles/hellanzb-%{version}.tar.gz
Source1:        hellanzb-README.Fedora
# Make hellanzb check in $HOME, then /etc, then cwd. Print Fedora-specific
# README if no config is found.
Patch0:         hellanzb-configuration-location3.patch
# Disable unrar functionality if the command is not found in PATH.
Patch1:         hellanzb-unrar-is-optional.patch
# Remove a bogus shebang from a library that rpmlint doesn't like.
Patch2:         hellanzb-remove-bogus-shebang.patch
# Multiple group support is broken, so only take the last one
# See: https://bugzilla.redhat.com/show_bug.cgi?id=467032
Patch3:         hellanzb-0.13-dont-attempt-multiple-groups.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildArch:      noarch

Requires:       par2cmdline
Requires:       python-twisted
Requires:       python-twisted-web
Requires:       python-yenc


%description
hellanzb is an easy to use application designed to retrieve nzb files
and fully process them. The goal being to make getting files from Usenet
as hands-free as possible. Once fully installed, all that's required
is moving an nzb file to the queue directory. The rest: downloading,
par-checking, un-raring, etc. is done automatically by hellanzb.


%prep
%setup -q
%patch0
sed --in-place 's|\*DOCDIR\*|%{_docdir}|' Hellanzb/Core.py
sed --in-place 's|\*PKGNAME\*|%{name}|'   Hellanzb/Core.py
%patch1
%patch2
%patch3


%build
%{__python} -c 'import setuptools; execfile("setup.py")' build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT/%{_bindir}/%{name}.py $RPM_BUILD_ROOT/%{_bindir}/%{name}
rm $RPM_BUILD_ROOT/usr/etc/%{name}.conf.sample

mv etc/hellanzb.conf.sample $RPM_BUILD_ROOT/%{_docdir}/%{name}/
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_docdir}/%{name}/README.Fedora

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_docdir}/%{name}/
%{python_sitelib}/*
%{_bindir}/%{name}


%changelog
* Wed Oct 15 2008 Conrad Meyer <konrad@tylerc.org> - 0.13-6
- Don't allow multiple groups as support for that is broken.

* Wed Aug 6 2008 Conrad Meyer <konrad@tylerc.org> - 0.13-5
- Re-seperated unrar and configuration patches.

* Tue Aug 5 2008 Conrad Meyer <konrad@tylerc.org> - 0.13-4
- Add missing BR to build in mock/koji.
- Patched to look in /etc instead of /usr/etc for configuration.
- Patched to inform user that configuration is needed if no configuration
  can be found.

* Mon Jul 21 2008 Conrad Meyer <konrad@tylerc.org> - 0.13-3
- Patch to make unrar optional.

* Sat Jul 19 2008 Conrad Meyer <konrad@tylerc.org> - 0.13-2
- Look for configuration on a per-user basis (~/.hellanzb.conf).
- Move sample config to %%doc.
- Add a README.RPMFusion.

* Mon Jun 2 2008 Conrad Meyer <konrad@tylerc.org> - 0.13-1
- Initial revision.
